Установка GD-библиотеки для PHP на Linux

Description: Программирование в PHP
Moderator: Aleksandr

SJplayer M
Topic author, Модератор
Модератор
Avatar
SJplayer M
Topic author, Модератор
Модератор
Posts: 195
Joined: 25 May 2013
With us: 8 years 6 months

#1by SJplayer » 1 Jan 2014, 11:39

Так как у меня сайты стоят на VPS, при установке плагина WP-NOTCAPTCHA для Wordpress, столкнулся с таким предупреждением:

Image


Из этого я понял что PHP не хватает GD, для чего она нужна думаю вам не интересно, главное исправить ошибку. Тогда начнём: запускаем PuTTY и прописываем команду:

Code: Select all

apt-get install php5-gd -y


Можно прописывать команду и без "-y" в конце:

Code: Select all

apt-get install php5-gd


Тогда процесс установки остановился на вопросе "N/Y?". Вот и получается, что параметр "-y" при установке означает автоматическое согласие.

Перезапускаем Аpache:
для ubuntu:

Code: Select all

sudo invoke-rc.d apache2 restart


для debian:

Code: Select all

/etc/init.d/apache2 restart


Наслаждаемся результатом :wink:

Image

! ! !


Return to “PHP”

Who is online (over the past 5 minutes)

Users browsing this forum: 1 guest